strusanalyzer (0.16.0-0) unstable; urgency=low
  * moved pseudo random number generator to strus base
  * added priority to features to eliminate features entirely covered by a single feature of higher priority
  * added trim normalization method
  * reference test programs with path relative to binary dir
  * change handling of gettext to avoid warning: return a const char* 
  * make use of debug interface in strus base instead of low level debug defines
  * added some introspection capabilities
  * reimplemented analyzer program loader here, to replace the implementation in strusUtilities
  * some spec file fixes
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 11 May 2018 15:00:00 +0100

strusanalyzer (0.15.7-0) unstable; urgency=low
  * added make target cppcheck for static code analysis
  * performance improvements of char conversion normalizer
  * adapted changes in error handling defined in strus base: simplified error codes
  * report error for unknown query fields passed to analyzer
  * fixed segfault in textcat (language detection) segmenter 
 -- Patrick Frey <patrickpfrey@yahoo.com>  Thu, 15 Mar 2018 10:00:00 +0100

strusanalyzer (0.15.6-0) unstable; urgency=low
  * added some functions for introspection needed by the webservice
  * adapted error handling to changes in base: mandatory error codes everywhere
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 12 Feb 2018 22:00:00 +0100

strusanalyzer (0.15.5-0) unstable; urgency=low
  * fixed several build issues: Build with Clang, Fix bugs in travis build
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 29 Dec 2017 13:00:00 +0100

strusanalyzer (0.15.4-0) unstable; urgency=low
  * fixed bug in character set encoding detection
  * accept empty selector for selecting all content elements in text,xml end JSON segmenter
  * added -Wshadow for C++ build
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 4 Dec 2017 12:00:00 +0100

strusanalyzer (0.15.3-0) unstable; urgency=low
  * RPath fixes and some CMake file reorganization
 -- Patrick Frey <patrickpfrey@yahoo.com>  Oct, 13 Sep 2017 13:00:00 +0100

strusanalyzer (0.15.2-0) unstable; urgency=low
  * bring up travis build, some minor fixes
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 27 Sep 2017 15:30:00 +0100

strusanalyzer (0.15.1-0) unstable; urgency=low
  * release to cleanup mess with missing CHANGELOG in 0.15.0
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 4 Sep 2017 15:30:00 +0100

strusanalyzer (0.15.0-0) unstable; urgency=low
  * strenghten rules for printf style functions in the interface: issue warnings on wrong format string parameter lists for gcc
  * added segmenter 'plain' for MIME type text/plain
  * remove hardcoded setting of C++98 in CMake files
  * rewrote some parts of textwolf segmenter (make things clearer)
  * fix bugs in query analysis: building query tree (bad iterator on modified map) and group elements
  * rewrite some parts of query analysis
  * added aggregator 'exist' that calculates a bitfield for representing features to exist or not
  * many CMake build fixes
  * fixed wrongly calculated json segmenter position assignments
  * implement processing of TSV and JSON documents with a different encoding than 'UTF-8'
  * fixed bug in segmenter for JSON: allowed only one root element
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 3 Sep 2017 15:00:00 +0100

strusanalyzer (0.14.0-0) unstable; urgency=low
  * increment version synchronously to strus core
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 15 Feb 2016 14:00:00 +0100

strusanalyzer (0.13.0-0) unstable; urgency=low
  * integrated pattern matching interfaces into analyzer
  * the anayzer result terms have now a length (ordinal position count)
  * the pattern matcher returns now the whole span of the result that defines the length of a result term
  * implement loading patterns from a serialized form
  * simplify definition of sub documents in analysis with the cost of giving up nested document definition (that did not work correctly anyway)
  * define normalizer and tokenizer without context, patch snowball to cope with that
  * rearrange code and fix many bugs
  * many build fixes
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 6 Feb 2016 15:00:00 +0100

strusanalyzer (0.12.0-0) unstable; urgency=low
  * some interface files reorganization
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sat, 1 Oct 2016 16:00:00 +0100

strusanalyzer (0.11.1-0) unstable; urgency=low
  * moved pattern matching interfaces from strus stream here
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 30 Sep 2016 14:00:00 +0100

strusanalyzer (0.11.0-0) unstable; urgency=low
  * fixed bug in ngram normalizer: items with exactly n characters were mapped to an empty string
  * fixed bug in regex normalizer: output format string parser
  * added 'charselect' normalizer
  * fixed bug in date2int normalizer: separator characters in format string not handled correctly
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 28 Sep 2016 12:00:00 +0100

strusanalyzer (0.10.1-0) unstable; urgency=low
  * completely redesigned document markup interface of the segmenter
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 10 Jul 2016 19:00:00 +0100

strusanalyzer (0.10.0-0) unstable; urgency=low
  * added tsv segmenter
  * added textcat tokenizer (language detection)
  * added options to segmenter interface (e.g. for segmenter wihtout self conained document structure description)
  * fixed bug in JSON MIME type detection (handling control characters)
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 5 Jul 2016 13:00:00 +0100

strusanalyzer (0.9.2-0) unstable; urgency=low
  * added normalizer and tokenizer for regex and normalizer for ngram
  * renamed Token::docpos to Token::ordpos (for ordinal position)
 -- Patrick Frey <patrickpfrey@yahoo.com>  Thu, 9 Jun 2016 14:45:00 +0100

strusanalyzer (0.9.1-0) unstable; urgency=low
  * added support for JSON (segmenter and standard document detection)
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 10 May 2016 21:40:00 +0100

strusanalyzer (0.9.0-0) unstable; urgency=low
  * changes in the object builder interfaces
 -- Patrick Frey <patrickpfrey@yahoo.com>  Thu, 28 Apr 2016 16:00:00 +0100

strusanalyzer (0.8.2-0) unstable; urgency=low
  * document is only considered to be empty if there are no features defined
  * aggregator and metadata result is now a numeric variant
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 24 Apr 2016 14:00:00 +0100

strusanalyzer (0.8.1-0) unstable; urgency=low
  * use numeric variant (now in strusBase) for docucment metadata values instead of double
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 15 Apr 2016 15:00:00 +0100

strusanalyzer (0.8.0-0) unstable; urgency=low
  * dependency to libstrus_base because of ErrorBufferInterface, the AnalyzerErrorBufferInterface has been removed
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 13 Apr 2016 14:30:00 +0100

strusanalyzer (0.7.2-0) unstable; urgency=low
  * reenabled random feed test
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sat, 2 Apr 2016 17:30:00 +0100

strusanalyzer (0.7.1-0) unstable; urgency=low
  * temporarily disabled random feed test to bring packages through.
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 30 Mar 2016 23:30:00 +0100

strusanalyzer (0.7.0-0) unstable; urgency=low
  * fixing random feed test
  * increment minor version number to be in sync with the strus core
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 30 Mar 2016 21:30:00 +0100

strusanalyzer (0.6.0-0) unstable; urgency=low
  * changed license from GPLv3 to MPLv2 (Mozilla Public License, Version 2)
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 21 Mar 2016 16:00:00 +0100

strusanalyzer (0.5.4-0) unstable; urgency=low
  * temporarily disabled tests to bring packages through (need time for fixing the issues).
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 16 Mar 2016 15:00:00 +0100

strusanalyzer (0.5.3-0) unstable; urgency=low
  * removed debug code that came accidentally into 0.5.2
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 15 Mar 2016 15:00:00 +0100

strusanalyzer (0.5.2-0) unstable; urgency=low
  * added test feeding tokenizers and normalizers with random input and fixed the bugs found with this test
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 14 Mar 2016 17:30:00 +0100

strusanalyzer (0.5.1-0) unstable; urgency=low
  * Small fixes for bringing up packages again
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 7 Mar 2016 18:00:00 +0100

strusanalyzer (0.5.0-0) unstable; urgency=low
  * added statistics (VSM) aggregator frame for implementation with one example (cosine normalization)
  * bug in handling case insensitivity in term type names fixed 
  * bug fixes in punctuation tokenizer
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 6 Mar 2016 19:00:00 +0100

strusanalyzer (0.4.1-0) unstable; urgency=low
  * fix typos in src license reference
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 17 Jan 2016 12:00:00 +0100

strusanalyzer (0.4.0-0) unstable; urgency=low
  * incrementing version minor number with the strus core
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sat, 1 Jan 2016 17:00:00 +0100

strusanalyzer (0.3.1-0) unstable; urgency=low
  * fixing versioning problems of the Open Suse build cluster 
 -- Patrick Frey <patrickpfrey@yahoo.com>  Mon, 21 Dec 2015 09:38:00 +0100

strusanalyzer (0.3.0-0) unstable; urgency=low
  * better introspection functions
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 18 Dec 2015 15:00:00 +0100

strusanalyzer (0.2.4-0) unstable; urgency=low
  * incremented version to 0.2.4 to resolve OBS trouble with dependencies
 -- Patrick Frey <patrickpfrey@yahoo.com>  Thu, 26 Nov 2015 09:08:42 +0100

strusanalyzer (0.2.3-0) unstable; urgency=low
  * sunchronize version with strus core increment of version to 0.2.3
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 24 Nov 2015 19:49:41 +0100

strusanalyzer (0.2.2-0) unstable; urgency=low
  * added cmake version patching for OBS packaging
  * added some missing interface documentation
  * updated changelog
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 24 Nov 2015 14:34:01 +0100

strusanalyzer (0.2.1-0) unstable; urgency=low
  * normalizer 'text' trimming input before processing
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 15 Nov 2015 10:08:24 +0100

strusanalyzer (0.2.0-0) unstable; urgency=low
  * fixed bug in document analysis: Under some circumstances (multi part documents) empty documents could be returned
  * added new normalizer 'text' to clean non UTF-8 characters
  * fixed bug in analyzer: multiple meta data declarations
  * updated interface
  * added missing boost libraries to normalizer_dateconv
  * adapted to rename of stemmig library in normalizer_snowball
  * renamed libstemmer to libstrus_stemmer and fixed shared library version
  * support description of functions for help
  * Merge branch 'master' of https://github.com/patrickfrey/strusAnalyzer into errorhnd
  * small interface change in analyzer library
  * delete all objects passed with ownership to functions that have no return value. caller cannot always determine if function was successful
  * added internationalization
  * temporary checkin
  * (origin/interface_exceptions, interface_exceptions) textwolf: declare std::bad_alloc as possible exception in automaton (for non static buffers)
  * make visibility default (all visible) for temporarily enable exceptions
  * rewriting interfaces as exception free
  * working on exception free interfaces - in progress
  * changed report error interface to printf style
  * some more error handling for function potentially returning 0 on error
  * reorganize error handling - work in progress
  * typo in comment fixed
  * better punctuation recognition (case of numbers with more than 2 digits is not an abbreviation, if no digits are following)
  * fixed bug in parsing character set encoding isolatin
  * bind predecessor/successor produces same position for all features of the chunk
 -- Patrick Frey <patrickpfrey@yahoo.com>  Wed, 11 Nov 2015 02:50:23 +0100

strusanalyzer (0.1.6-0) unstable; urgency=low
  * put common CMAKE stuff of all strus relaed projects into includes
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sat, 8 Aug 2015 10:30:05 +0200

strusanalyzer (0.1.5-0) unstable; urgency=low
  * added interface to analyze bulk of query phrases (to avoid roundtrips in RPC interface)
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 2 Aug 2015 13:06:09 +0200

strusanalyzer (0.1.4-0) unstable; urgency=low
  * fixed severe bug in segmenter: buffer not copied
  * revert segmenter last checkin
  * fixed non initialized memory read
  * add method in source iterator to defined longjump exit context in case of error
 -- Patrick Frey <patrickpfrey@yahoo.com>  Sun, 26 Jul 2015 12:57:58 +0200

strusanalyzer (0.1.3-0) unstable; urgency=low
  * multiple character set encoding support in standard XML segmenter
  * fixed UMR in document class detection
  * added get MIME type function to segmenter and analyzer interface. Incremented version number to v0.1.3
  * renamings (DocumentClass)
  * implement content description as object and not as abstract interface
  * added document content description interface
  * updated documentation
 -- Patrick Frey <patrickpfrey@yahoo.com>  Tue, 14 Jul 2015 15:30:21 +0200

strusanalyzer (0.1.1-0) unstable; urgency=low
  * Initial revision
 -- Patrick Frey <patrickpfrey@yahoo.com>  Fri, 3 Jul 2015 15:16:25 +0200

